complexType "TradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference, accountReference?, (tradeId | versionedTradeId)+
</...>

Content Model Elements (4):

  accountReference (defined in PartyAndAccountReferences.model group),
  partyReference (defined in PartyAndAccountReferences.model group),
  tradeId (defined in TradeIdentifier complexType),
  versionedTradeId

Known Direct Subtypes (1):

  PartyTradeIdentifier

All Direct / Indirect Based Elements (25):

  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  blockTradeIdentifier (in allocationApproved),
  blockTradeIdentifier (in allocationRefused),
  blockTradeIdentifier (in requestAllocation),
  blockTradeIdentifier (in requestAllocationRetracted),
  newTradeIdentifier (in novation),
  newTradeIdentifier (in novation),
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  resultingTradeIdentifier,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType),
  tradeIdentifier (defined in OptionExpiryBase complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (defined in TradeMaturity complexType),
  tradeIdentifier (in clearingStatusItem),
  tradeIdentifier (in deClear),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in tradeChangeAdviceRetracted)

Known Usage Locations

- In derivations of other global types (1):
  PartyTradeIdentifier (as extension base)
- As direct type of elements (10):
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  blockTradeIdentifier (in allocationApproved),
  blockTradeIdentifier (in allocationRefused),
  blockTradeIdentifier (in requestAllocation),
  blockTradeIdentifier (in requestAllocationRetracted),
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType),
  tradeIdentifier (in clearingStatusItem)

Annotation
A type defining a trade identifier issued by the indicated party.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="TradeIdentifier"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:choice maxOccurs="unbounded"> <xsd:element name="tradeId" type="TradeId"/> <xsd:element name="versionedTradeId" type="VersionedTradeId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/4)
tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="tradeId" type="TradeId"/>

versionedTradeId

  Type: | VersionedTradeId, complex content

  XML Source (see within schema source)

  <xsd:element name="versionedTradeId" type="VersionedTradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.